[Codecov] Fix uploading CodeCov reports

Signed-off-by: Vitalii Koshura <lestat.de.lionkur@gmail.com>
This commit is contained in:
Vitalii Koshura 2020-03-27 12:13:23 +01:00
parent e0bc66d61c
commit 5fc277d47d
No known key found for this signature in database
GPG Key ID: CE0DB1726070A5A3
2 changed files with 1 additions and 3 deletions

View File

@ -63,7 +63,6 @@ jobs:
before_install:
- if [[ "${TRAVIS_OS_NAME}" == "linux" ]]; then ( sudo apt-get -qq update ) fi
- if [[ "${TRAVIS_OS_NAME}" == "linux" ]]; then ( sudo apt-get install -y freeglut3-dev libxmu-dev libxi-dev libfcgi-dev libxss-dev libnotify-dev libxcb-util0-dev libsqlite3-dev libgtk2.0-dev libwebkitgtk-dev mingw-w64 binutils-mingw-w64-i686 binutils-mingw-w64-x86-64 gcc-mingw-w64 gcc-mingw-w64-i686 gcc-mingw-w64-x86-64 g++-mingw-w64 g++-mingw-w64-i686 g++-mingw-w64-x86-64 realpath p7zip-full ) fi
- if [[ "${TRAVIS_OS_NAME}" == "linux" && "${BOINC_TYPE}" == "unit-test" ]]; then ( sudo pip install codecov ) fi
- if [[ "${BOINC_TYPE}" == "integration-test" ]]; then ( sudo apt-get install ansible/trusty-backports; sudo service mysql stop; ) fi
before_script:

View File

@ -56,7 +56,6 @@ command -v cmake >/dev/null 2>&1 || { echo >&2 "cmake is needed but not installe
if [ "${report}" = "yes" ]; then
command -v gcov >/dev/null 2>&1 || { echo >&2 "gcov (lcov) is needed but not installed. Aborting."; exit 1; }
command -v codecov >/dev/null 2>&1 || { echo >&2 "codecov (pip install codecov) is needed but not installed. Aborting."; exit 1; }
fi
cd tests || exit 1
@ -81,5 +80,5 @@ if [ "${report}" = "yes" ]; then
#for T in lib sched; do
# [ -d "${T}" ] && gcov -lp *.o >/dev/null;
#done
codecov
bash <(curl -s https://codecov.io/bash)
fi